LINUX.ORG.RU

usb wifi внезапно перестает поддерживать 5Ггц

 ,


0

1

привет!

есть такой(https://www.edimax.com/edimax/merchandise/merchandise_detail/data/edimax/us/w...) девайс и официальный драйвер(http://www.edimax.us/download/drivers/Linux/EW-7822ULC_Linux_Driver_1.0.1.6.zip).

для создания AP используется этот(https://github.com/oblique/create_ap) скрипт.

девайс используется в режиме AP и отлично работает, иногда =)

но иногда при запуске скрипта происходит странное: скрипт внезапно начинает говорить: ERROR: Your adapter can not transmit to channel 36, frequency band 5GHz.

долго думая, я воткнул другой девайс(точно такой же, но просто был запасной) - и все заработало! после нескольких остановок/запусков скрипта опять та же проблема: ERROR: Your adapter can not transmit to channel 36, frequency band 5GHz.

перестановка девайсов больше не помогает.

но если я втыкаю любой из этих usb wifi в другую машину - все работает! т.е. ощущение такое, что какой-то софт почему-то создает ассоциацию MAC -> ERROR: Your adapter can not transmit to channel 36, frequency band 5GHz

вопрос в том, как понять, какой софт и как удалить эту ассоциацию?

спасибо.

★★★

Ответ на: комментарий от funky

пробовал, все доступные пробовал - одинаково.

но нашел костыльный фикс: когда возникает эта ошибка, просто нужно создать AP на 2.4Ггц, выключить, и снова создавать на 5

у кого-то есть идеи?

niXman ★★★ ()
Ответ на: комментарий от AbbaT

читал это, но у меня это не следствие попытки использовать два разных канала, т.е. у меня нет подобного сообщения: XXXXXXXX is already associated with channel 40 (5200 MHz), fallback to channel 40

niXman ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.